from sqlalchemy import Column, Integer, String
from app.database.connection import Base

class User(Base):
    __tablename__ = "users"
    
    id = Column(Integer, primary_key=True, index=True, autoincrement=True)
    email = Column(String, unique=True, nullable=True)
    password = Column(String, nullable=True)
    username = Column(String, nullable=True)
    title = Column(String, nullable=True)
    first_name = Column(String, nullable=True)
    last_name = Column(String, nullable=True)
    telephone_number = Column(String, nullable=True)
    role_id = Column(String, nullable=True)
    speciality = Column(String, nullable=True)